name: Pylint
on: [push]

jobs:
  Pylint:
    runs-on: docker
    strategy:
      matrix:
        python-version: ["3.10"]
    container: catthehacker/ubuntu:act-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v3.6.0
        with:
          token: ${{ secrets.COASTALCOMMITSTOKEN}}
      - name: Set up Python
        uses: actions/setup-python@v4
        with:
          python-version: ${{ matrix.python-version }}
      - name: Install Poetry
        run: curl -sSL https://cdn.seaswimmer.cc/go/poetry | python${{ matrix.python-version }} -
      - name: Install dependencies
        run: |
          export PATH="$HOME/.local/bin:$PATH"
          poetry env use ${{ matrix.python-version }}
          poetry install --with dev
      - name: Analysing the code with Pylint
        run: |
          export PATH="$HOME/.local/bin:$PATH"
          poetry run pylint --rcfile .forgejo/workflows/config/.pylintrc $(git ls-files '*.py')
